h34995
s 00000/00000/00085
d D 1.14 83/03/29 13:10:07 mjb 14 13
c fixed existing data transfer to show and allow 16 values to be passed
e
s 00000/00000/00085
d D 1.13 83/03/03 23:40:21 mjb 13 12
c changed interface to ingmem and inpmem
e
s 00002/00000/00083
d D 1.12 83/02/09 20:28:13 mjb 12 11
c fixed krmain bug
e
s 00002/00000/00081
d D 1.11 83/02/08 20:12:04 mjb 11 10
c restructured for overlaying menus
e
s 00001/00005/00080
d D 1.10 83/02/08 14:34:21 mjb 10 9
c added structure to allow even MORE overlaying
e
s 00001/00000/00084
d D 1.9 83/02/04 12:48:02 mjb 9 8
c fixed all routines to clear anotation buffer when necessary
e
s 00001/00001/00083
d D 1.8 83/02/03 00:48:29 tes 8 7
c modified apdata interface to include last item to display
e
s 00007/00033/00077
d D 1.7 83/02/01 01:52:02 tes 7 6
c added data defintion menus
e
s 00013/00010/00097
d D 1.6 83/01/28 23:28:04 tes 6 5
c modified apmenu interface to include a clear screen flag
e
s 00026/00012/00081
d D 1.5 83/01/27 13:49:25 mjb 5 4
c took care of interface changes
e
s 00002/00000/00091
d D 1.4 83/01/22 19:10:44 tes 4 3
c Modified for annnotate interface
e
s 00002/00000/00089
d D 1.3 83/01/21 16:57:14 tes 3 2
c Modified to interface to annotate menu correctly (changed mode)
e
s 00000/00000/00089
d D 1.2 83/01/20 21:11:33 mjb 2 1
c no changes
e
s 00089/00000/00000
d D 1.1 83/01/20 11:12:34 tes 1 0
c date and time created 83/01/20 11:12:34 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine mnucr8 (item)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Create menu manager                                    #
#                                                                      #
#     Input Parameters:                                                #
#            item  - selected menu item                                #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
SHORTINT item

SHORTINT jump
I 6
integer iclear
E 6

include(`gphcom')

I 6
data iclear /YES/

I 12
krmain = 1

E 12
E 6
jump = item + 1
go to (DIG0,DIG1,DIG2,DIG3,DIG4,DIG5,DIG6,DIG7,DIG8,DIG9), jump

   DIG0 continue
D 6
      call apmenu (MAINxMENU)
E 6
I 6
      call apmenu (MAINxMENU, iclear)
E 6
D 7
      go to OTHERxWISE
E 7
I 7
      return
E 7

   DIG1 continue  # LINE GRAPH
D 5
      call ingmem(LINE)
E 5
      bctype = LINE
I 5
D 7
      call ingmem(LINE)
E 5
D 6
      call apmenu (GRAPHxDATAxFRAME)   # edit graph parameters  
E 6
I 6
      call apmenu (GRAPHxDATAxFRAME, iclear)   # edit graph parameters  
E 6
      call cgdatt(krmain)
      call apdata (1)
E 7
      go to OTHERxWISE

D 5
   DIG2 continue  # BAR CHART
      call ingmem(BAR)
E 5
I 5
   DIG2 continue  # CLUSTERED BAR CHART
E 5
D 7
      bctype = BAR
I 5
      call ingmem(CLUST)
E 5
D 6
      call apmenu (GRAPHxDATAxFRAME)   # edit graph parameters  
E 6
I 6
      call apmenu (GRAPHxDATAxFRAME, iclear)   # edit graph parameters  
E 6
      call cgdatt(krmain)
      call apdata (1)
E 7
I 7
      bctype = CLUST
E 7
      go to OTHERxWISE

D 5
   DIG3 continue  # PIE
      call inpmem                   # initialize pie memory
E 5
I 5
   DIG3 continue  # STACKED BAR CHART
D 7
      bctype = BAR
      call ingmem(STACK)
D 6
      call apmenu (GRAPHxDATAxFRAME)   # edit graph parameters  
E 6
I 6
      call apmenu (GRAPHxDATAxFRAME, iclear)   # edit graph parameters  
E 6
      call cgdatt(krmain)
      call apdata (1)
E 7
I 7
      bctype = STACK
E 7
      go to OTHERxWISE

   DIG4 continue  # PIE
E 5
      bctype = PIE                  # set current type to pie
I 5
D 7
      call inpmem                   # initialize pie memory
E 5
D 6
      call apmenu (PIExEDIT)        # edit pie chart parameters  
E 6
I 6
      call apmenu (PIExEDIT, iclear)        # edit pie chart parameters  
E 6
      call cpeatt (krmain)
      call apdata (1)
E 7
      go to OTHERxWISE

D 5
   DIG4 continue  # STEP CHART
      call ingmem(STEP)
E 5
I 5
   DIG5 continue  # STEP CHART
E 5
      bctype = STEP
I 5
D 7
      call ingmem(STEP)
E 5
D 6
      call apmenu (GRAPHxDATAxFRAME)   # edit graph parameters  
E 6
I 6
      call apmenu (GRAPHxDATAxFRAME, iclear)   # edit graph parameters  
E 6
      call cgdatt(krmain)
      call apdata (1)
E 7
      go to OTHERxWISE

D 5
   DIG5 continue  # STICK GRAPH
      call ingmem(STICK)
E 5
I 5
   DIG6 continue  # STICK GRAPH
E 5
      bctype = STICK
I 5
D 7
      call ingmem(STICK)
E 5
D 6
      call apmenu (GRAPHxDATAxFRAME)   # edit graph parameters  
E 6
I 6
      call apmenu (GRAPHxDATAxFRAME, iclear)   # edit graph parameters  
E 6
      call cgdatt(krmain)
      call apdata (1)
E 7
      go to OTHERxWISE

D 5
   DIG6 continue  # TEXTxONLY
E 5
I 5
   DIG7 continue  # SCATTER CHART
      bctype = SCATTER
D 7
      call ingmem(SCATTER)
D 6
      call apmenu (GRAPHxDATAxFRAME)   # edit graph parameters  
E 6
I 6
      call apmenu (GRAPHxDATAxFRAME, iclear)   # edit graph parameters  
E 6
      call cgdatt(krmain)
      call apdata (1)
E 7
      go to OTHERxWISE

   DIG8 continue  # TEXTxONLY
E 5
      bctype = TEXT
D 6
      lastid = mid
E 6
I 6
      lastid = MAINxMENU
E 6
I 3
D 10
      call clrscr
      call chgmod (ENTERxGRAPHICSxMODE)
E 3
D 6
      call apmenu (ANNOTATE)
E 6
I 6
      call apmenu (ANNOTATE, iclear)
E 10
I 10
      mid = ANNOTATE
I 11
      action = BREAKxOVERLAY
E 11
E 10
I 9
      call inamem
I 11
      call clrscr
E 11
E 9
E 6
I 4
D 10
      call ctxatt
D 8
      call apdata (1)
E 8
I 8
      call apdata (1, FOREVER)
E 10
E 8
E 4
D 7
      go to OTHERxWISE
E 7
I 7
      return
E 7

D 5
   DIG7 continue   
   DIG8 continue   
E 5
D 7
   DIG9 continue   
E 7
   OTHERxWISE continue   
I 7
      call apmenu (DATAxINPUTxMODE, iclear)

   DIG9 continue   
E 7

   return
end
E 1
